summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-12-31 13:53:55 +0100
committerHolger Levsen <holger@layer-acht.org>2012-12-31 13:53:55 +0100
commitfeb885281f0eb7264dad2c1e2cc9649250e49898 (patch)
tree7a694f951cc338757926bc1113a95c65af3a30c5 /bin/g-i-installation.sh
parentb6d94d7c67bd1babfcba79f9cf63a243734af4e7 (diff)
downloadjenkins.debian.net-feb885281f0eb7264dad2c1e2cc9649250e49898.tar.xz
tolerate 400 pixel diff
Diffstat (limited to 'bin/g-i-installation.sh')
-rwxr-xr-xbin/g-i-installation.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index ff0887cb..bc7b7be9 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -502,10 +502,10 @@ monitor_system() {
let OLD=NR-400
PRINTF_OLD=$(printf "%06d" $OLD)
# test if this screenshot is basically the same as the one 400 screenshots ago
- # 200 pixels difference between to images is tolerated, to ignore updating clocks
- PIXEL=$(compare -metric AE snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm /dev/null 2>&1 || echo 100000)
+ # 400 pixels difference between to images is tolerated, to ignore updating clocks
+ PIXEL=$(compare -metric AE snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm /dev/null 2>&1 || echo 100000) # FIXME: this is a broken workaround
echo "$PIXEL pixel difference between snapshot_${PRINTF_NR}.ppm and snapshot_${PRINTF_OLD}.ppm"
- if [ $PIXEL -lt 200 ] ; then
+ if [ $PIXEL -lt 400 ] ; then
set -x
# unless TRIGGER_MODE is empty, matching images means its over
if [ ! -z "$TRIGGER_MODE" ] ; then